Skip to main content
POST
/
v1
/
config-objects
/
{configObjectId}
/
access
Grant config object access
curl --request POST \
  --url https://api.openworklabs.com/v1/config-objects/{configObjectId}/access \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "viewer",
  "orgMembershipId": "<string>",
  "teamId": "<string>",
  "orgWide": false
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "orgMembershipId": "<string>",
    "teamId": "<string>",
    "orgWide": true,
    "role": "viewer",
    "createdByOrgMembershipId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "removedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

configObjectId
string<typeid>
required

Den TypeID with 'cob_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cob_.*

Body

application/json
role
enum<string>
required
Available options:
viewer,
editor,
manager
orgMembershipId
string<typeid>

Den TypeID with 'om_' prefix and a 26-character base32 suffix.

Required string length: 29
Pattern: ^om_.*
teamId
string<typeid>

Den TypeID with 'tem_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^tem_.*
orgWide
boolean
default:false

Response

Config object access grant created successfully.

ok
boolean
required
item
object
required